using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Zadatak2
{
    class Program
    {
        static void Main(string[] args)
        {
            {
                int N = int.Parse(Console.ReadLine());
                string[] unos = Console.ReadLine().Split();

                int[] niz1 = null;
                niz1 = new int[N];
                int i = 0;
                foreach (string a in unos)
                { niz1[i] = int.Parse(a); i++; }

                int[] niz2 = null;
                niz2 = new int[N];
                Array.Copy(niz1, niz2, N);

                for (i = 0; i < N; i++)
                {
                    for (int j = 1 + i; j < N; j++)
                    {
                        if (niz1[i] < niz1[j])
                        {
                            int b = niz1[i];
                            niz1[i] = niz1[j];
                            niz1[j] = b;
                        }
                        break;
                    }
                }
                foreach (int h in niz1)
                    Console.Write(h + " ");
                Console.ReadLine();
            }
        }
    }
}